import request from '@/utils/request'

// 查询AI农作物病害诊断报告列表
export function listGrapeDiseaseReport(query) {
  return request({
    url: '/base/GrapeDiseaseReport/list',
    method: 'get',
    params: query
  })
}

// 查询AI农作物病害诊断报告详细
export function getGrapeDiseaseReport(id) {
  return request({
    url: '/base/GrapeDiseaseReport/' + id,
    method: 'get'
  })
}

// 新增AI农作物病害诊断报告
export function addGrapeDiseaseReport(data) {
  return request({
    url: '/base/GrapeDiseaseReport',
    method: 'post',
    data: data
  })
}

// 修改AI农作物病害诊断报告
export function updateGrapeDiseaseReport(data) {
  return request({
    url: '/base/GrapeDiseaseReport',
    method: 'put',
    data: data
  })
}

// 删除AI农作物病害诊断报告
export function delGrapeDiseaseReport(id) {
  return request({
    url: '/base/GrapeDiseaseReport/' + id,
    method: 'delete'
  })
}
